- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# AEffEditor Class Reference

`#include <aeffeditor.h>`

List of all members.

## Public Member Functions
| AEffEditor (AudioEffect *effect=0)
virtual | ~AEffEditor ()
virtual AudioEffect * | getEffect ()
| Returns associated effect instance.
virtual bool | getRect (ERect **rect)
| Query editor size as ERect.
virtual bool | open (void *ptr)
| Open editor, pointer to parent windows is platform-dependent (HWND on Windows, WindowRef on Mac).
virtual void | close ()
| Close editor (detach from parent window).
virtual bool | isOpen ()
| Returns true if editor is currently open.
virtual void | idle ()
| Idle call supplied by Host application.
virtual bool | onKeyDown (VstKeyCode &keyCode)
| Receive key down event. Return true only if key was really used!
virtual bool | onKeyUp (VstKeyCode &keyCode)
| Receive key up event. Return true only if key was really used!
virtual bool | onWheel (float distance)
| Handle mouse wheel event, distance is positive or negative to indicate wheel direction.
virtual bool | setKnobMode (VstInt32 val)
| Set knob mode (if supported by Host). See CKnobMode in VSTGUI.
## Protected Attributes
AudioEffect * | effect
| associated effect instance
void * | systemWindow
| platform-dependent parent window (HWND or WindowRef)

## Detailed Description

VST Effect Editor class.

## Constructor & Destructor Documentation

AEffEditor::AEffEditor | ( | AudioEffect * | effect = `0` | ) | `[inline]`

Parameters:

  effect | Editor class constructor. Requires pointer to associated effect instance.

virtual AEffEditor::~AEffEditor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void AEffEditor::close | ( |  | ) | `[inline, virtual]`

Close editor (detach from parent window).

virtual AudioEffect* AEffEditor::getEffect | ( |  | ) | `[inline, virtual]`

Returns associated effect instance.

virtual bool AEffEditor::getRect | ( | ERect ** | rect | ) | `[inline, virtual]`

Query editor size as ERect.

virtual void AEffEditor::idle | ( |  | ) | `[inline, virtual]`

Idle call supplied by Host application.

virtual bool AEffEditor::isOpen | ( |  | ) | `[inline, virtual]`

Returns true if editor is currently open.

virtual bool AEffEditor::onKeyDown | ( | VstKeyCode & | keyCode | ) | `[inline, virtual]`

Receive key down event. Return true only if key was really used!

virtual bool AEffEditor::onKeyUp | ( | VstKeyCode & | keyCode | ) | `[inline, virtual]`

Receive key up event. Return true only if key was really used!

virtual bool AEffEditor::onWheel | ( | float | distance | ) | `[inline, virtual]`

Handle mouse wheel event, distance is positive or negative to indicate wheel direction.

virtual bool AEffEditor::open | ( | void * | ptr | ) | `[inline, virtual]`

Open editor, pointer to parent windows is platform-dependent (HWND on Windows, WindowRef on Mac).

virtual bool AEffEditor::setKnobMode | ( | VstInt32 | val | ) | `[inline, virtual]`

Set knob mode (if supported by Host). See CKnobMode in VSTGUI.

## Member Data Documentation

AudioEffect* AEffEditor::effect`[protected]`

associated effect instance

void* AEffEditor::systemWindow`[protected]`

platform-dependent parent window (HWND or WindowRef)

The documentation for this class was generated from the following file:

- aeffeditor.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.